Subject: Regarding about SubLogin user Account

From: [email-masked]
Date: Thu, 6 Aug 1998 14:12:15 -0400

Hi All!
I have a question....i have create a user account call test under
/home/ftp/usr/test What i want to do is when i ftp as anonymous account
as soon as i reach to directory /home/ftp/usr/test i want to sublogin as "LOGIN
TEST" because i am setting permission on test directory to 700 so only TEST user
can get in but which file i need to copy into /home/ftp/usr/bin........in order
for me to login as test user account. If anyone have any idea how to set up this.
Again i am running HP-UX 10.20
Thanks

---

From: Gregory A Lundberg <[email-masked]>
Date: Thu, 6 Aug 1998 15:09:54 -0400 (EDT)

On Thu, 6 Aug 1998 [email-masked] wrote:

> as soon as i reach to directory /home/ftp/usr/test i want to sublogin as
> "LOGIN TEST" because i am setting permission on test directory to 700 so
> only TEST user can get in but which file i need to copy into
> /home/ftp/usr/bin........in order for me to login as test user account.
> If anyone have any idea how to set up this.  Again i am running HP-UX
> 10.20 Thanks

wu-ftpd cannot do what you're talking about.

which leaves only one question: why are you bothering the wu-ftpd mailing
list when you should be calling HP product support.

----

Gregory A Lundberg		Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195

---

From: Bob Luckin <[email-masked]>
Date: Thu, 6 Aug 98 14:53:41 CDT

> Again i am running HP-UX 10.20

If you mean that you want wu-ftpd to automatically prompt an anonymous user
for the password for the test directory, and switch their login to become
the test user, then this cannot be done.

But you could create a "test" group, make sure that /home/ftp/usr/test is
in this group, set the permissions to 770, add "private yes" to your
ftpaccess file, ensure the test group is listed in the
/home/ftp/etc/ftpgroups file with a suitable encrypted password,
and the the user could use the SITE GROUP and SITE GPASS commands to
become a member of the test group (without having to log off) before
cd'ing into the /home/ftp/usr/test directory.  See the ftpaccess.5 man
page supplied with wu-ftpd for more details.

But even this doesn't happen automatically - the user will have to enter
the site group and site gpass commands at the client end in order to
initiate the change.

Cheers, Bob
-- 
Bob Luckin      [email-masked]      "Today rot I so.  Perl repository, a dot."
                                 [http://www.dhc.net/~luckin/palindromes.html]